Subject: bug#42366: UTF8 QR codes vs. emacs

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 05 Aug 2020 16:54:32 +0200

Eli Zaretskii <[email-masked]> writes:

>> There's no file -- it's just the output from the qrencode command.
>
> Can you redirect the output to a file?

Sure, it's just a bunch of UTF-8.  I guess I could also just include the
data here:

█████████████████████████████
█████████████████████████████
████ ▄▄▄▄▄ █▀ █ ▄█ ▄▄▄▄▄ ████
████ █   █ █▄ █▀▄█ █   █ ████
████ █▄▄▄█ █ ██▀ █ █▄▄▄█ ████
████▄▄▄▄▄▄▄█ ▀ ▀ █▄▄▄▄▄▄▄████
████  ▀▄▀▀▄ █ ▄███ ▄▄█  █████
██████ ▄ ▄▄▀▄█▄▀▄▄███▀▀  ████
████▄▄▄▄▄▄▄█  ▀▀▄█▄▀ ▀▄▀▀████
████ ▄▄▄▄▄ █▄▄█▀▀ █ ▀▀▄▄█████
████ █   █ █▀▄▄ ██▄▄▄    ████
████ █▄▄▄█ █▀█ █▄▀▀█ █▀█▄████
████▄▄▄▄▄▄▄█▄█▄▄▄███▄▄▄▄█████
█████████████████████████████
█████████████████████████████

I've also included as an attachment, in case that doesn't work, for some
reason.

> So you are saying that your problem with \uNNNN was because you used
> an incorrect locale?  IOW, that there's no bug here at all?

Yes.  Except for the horizontal lines in the X version of Emacs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no